Public Member Functions | List of all members
libvisio::VSDInsertLineBreakOutputElement Class Reference
Inheritance diagram for libvisio::VSDInsertLineBreakOutputElement:

## Public Member Functions
| VSDInsertLineBreakOutputElement ()
| ~VSDInsertLineBreakOutputElement () override
void | draw (librevenge::RVNGDrawingInterface *painter) override
VSDOutputElement * | clone () override
Public Member Functions inherited from libvisio::VSDOutputElement
| VSDOutputElement ()
virtual | ~VSDOutputElement ()
virtual void | draw (librevenge::RVNGDrawingInterface *painter)=0
virtual VSDOutputElement * | clone ()=0

## Constructor & Destructor Documentation

## ◆ VSDInsertLineBreakOutputElement()

libvisio::VSDInsertLineBreakOutputElement::VSDInsertLineBreakOutputElement | ( |  | ) |

Referenced by clone().

## ◆ ~VSDInsertLineBreakOutputElement()

libvisio::VSDInsertLineBreakOutputElement::~VSDInsertLineBreakOutputElement | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ clone()

VSDOutputElement * libvisio::VSDInsertLineBreakOutputElement::clone | ( |  | ) |
| inline override virtual

Implements libvisio::VSDOutputElement.

## ◆ draw()

void libvisio::VSDInsertLineBreakOutputElement::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| override virtual

Implements libvisio::VSDOutputElement.

The documentation for this class was generated from the following file:

- VSDOutputElementList.cpp